#if !defined(AFX_PROPERTIESDLG_H__BB4EE07F_F853_4557_B650_CE4B530F508D__INCLUDED_)
#define AFX_PROPERTIESDLG_H__BB4EE07F_F853_4557_B650_CE4B530F508D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PropertiesDlg.h : header file
//

#include <Stuff\Stuff.hpp>

/////////////////////////////////////////////////////////////////////////////
// CPropertiesDlg dialog

class CPropertiesDlg : public CDialog
{
// Construction
public:
	CPropertiesDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CPropertiesDlg();

	int AddPage(Stuff::Page *);
	int RemovePage(Stuff::Page *);
	CMapStringToOb m_mapParams;
	Stuff::Page *m_pPage;
	Stuff::Note *m_pNote;
	bool m_bIsView;

// Dialog Data
	//{{AFX_DATA(CPropertiesDlg)
	enum { IDD = IDD_PROPERTIES };
	CButton	m_btAdd;
	CButton	m_btOK;
	CListBox	m_listValues;
	CListBox	m_listParams;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPropertiesDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CPropertiesDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeListParams();
	afx_msg void OnSelchangeListValues();
	afx_msg void OnAdd();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PROPERTIESDLG_H__BB4EE07F_F853_4557_B650_CE4B530F508D__INCLUDED_)
